# Copyright (c) 2024-Present
# Author: Jiawei Zhang <jiawei@ifmlab.org>
# Affiliation: IFM Lab, UC Davis

##########################################
# Library of Math, Statistics, Physics,  #
# Machine Learning and Other Disciplines #
##########################################

"""
This module provides the libraries of "math" and "sciences" that can be used to build the RPN model within the tinyBIG toolkit.

## Math and Sciences Libraries

Specifically, the libraries currently covered in this module include

* Statistics
* Linear algebra,
* Topology,
* Geometry,
* Manifold,
* Signal processing,
* Machine_learning,
* Physics.

This module will keep expanding as new libraries are included in the future.
"""

from tinybig.koala import (
    statistics,
    linear_algebra,
    topology,
    geometry,
    manifold,
    signal_processing,
    machine_learning,
    physics,
)
