# Copyright (c) 2024-Present
# Author: Jiawei Zhang <jiawei@ifmlab.org>
# Affiliation: IFM Lab, UC Davis

#####################
# Theory of Numbers #
#####################

"""
This module provides the libraries of "algebra" that can be used to build the RPN model within the tinyBIG toolkit.

## Algebra Library

Algebra is the branch of mathematics that studies certain abstract systems, known as algebraic structures,
and the manipulation of statements within those systems.
It is a generalization of arithmetic that introduces variables and algebraic operations other than the standard
arithmetic operations such as addition and multiplication.

## Functions Implementation

Currently, the functions implemented in this library include

* find_close_factors

"""

from tinybig.koala.algebra.numbers import (
    find_close_factors
)




