# Copyright (c) 2024-Present
# Author: Jiawei Zhang <jiawei@ifmlab.org>
# Affiliation: IFM Lab, UC Davis

############################
# Machine Learning Library #
############################

"""

This module provides the libraries of "machine learning" that can be used to build the RPN model within the tinyBIG toolkit.

## Machine Learning Library

Machine learning represents a revolutionary frontier in computer science where systems can learn and improve from experience without being explicitly programmed.
This fascinating field combines elements of statistics, data science, and artificial intelligence to create algorithms that can recognize patterns,
make decisions, and solve complex problems by learning from vast amounts of data.

## Functions Implementation

Currently, the functions implemented in this library include

* feature_selection,
* dimension_reduction,
* clustering,

"""

from tinybig.koala.machine_learning import (
    feature_selection,
    dimension_reduction,
    clustering,
)

