# Copyright (c) 2024-Present
# Author: Jiawei Zhang <jiawei@ifmlab.org>
# Affiliation: IFM Lab, UC Davis

###################
# Physics Library #
###################

"""

This module provides the libraries of "physics" that can be used to build the RPN model within the tinyBIG toolkit.

## Physics Library

Physics stands as the fundamental science that seeks to unravel the deepest mysteries of our universe,
from the dance of subatomic particles to the majestic choreography of galaxies.
This profound field of study strives to understand the basic principles that govern everything in existence,
using the language of mathematics to describe the elegant laws that dictate how matter and energy behave across space and time.

## Functions Implementation

Currently, the functions implemented in this library include:

* TBD

"""

# concepts: http://hyperphysics.phy-astr.gsu.edu/hbase/index.html
# equations: https://en.m.wikipedia.org/wiki/Lists_of_physics_equations

# https://physics.info/
# https://www.andrews.edu/~rwright/physics/Physics%20Formula%20Sheet.pdf
#
# https://github.com/vikramsamak/PhsiPy-Api


